MWCapture SDK Mac 3.4.62314

- Home
- Development Library
- Release Notes

Public Attributes | List of all members
_MWCAP_SMPTE_TIMECODE Struct Reference
Structures

MWCAP_SMPTE_TIMECODE. More...

`#include <MWCaptureExtension.h>`

## Public Attributes
BYTE | byFrames
| Frames number.
BYTE | bySeconds
| Seconds.
BYTE | byMinutes
| Minutes.
BYTE | byHours
| Hours.

## Detailed Description

MWCAP_SMPTE_TIMECODE.

Records SMPTE timecode.
Related type: MWCAP_VIDEO_FRAME_INFO

MWCAP_VIDEO_FRAME_INFO videoFrameInfo;
nRet= MWGetVideoFrameInfo(g_hChannel[i], videoBufferInfo.iNewestBufferedFullFrame, &videoFrameInfo);
printf("[Timecode] Top: %2x:%2x:%2x:%2x , Bottom: %2x:%2x:%2x:%2x\n",
videoFrameInfo.aSMPTETimeCodes[0].byHours,
videoFrameInfo.aSMPTETimeCodes[0].byMinutes,
videoFrameInfo.aSMPTETimeCodes[0].bySeconds,
videoFrameInfo.aSMPTETimeCodes[0].byFrames,
videoFrameInfo.aSMPTETimeCodes[1].byHours,
videoFrameInfo.aSMPTETimeCodes[1].byMinutes,
videoFrameInfo.aSMPTETimeCodes[1].bySeconds,
videoFrameInfo.aSMPTETimeCodes[1].byFrames
);
MWGetVideoFrameInfo
MW_RESULT LIBMWCAPTURE_API MWGetVideoFrameInfo(HCHANNEL hChannel, BYTE i, MWCAP_VIDEO_FRAME_INFO *pVideoFrameInfo)
Gets video frame information.
_MWCAP_SMPTE_TIMECODE::byFrames
BYTE byFrames
Frames number.
Definition: MWCaptureExtension.h:1090
_MWCAP_SMPTE_TIMECODE::bySeconds
BYTE bySeconds
Seconds.
Definition: MWCaptureExtension.h:1091
_MWCAP_SMPTE_TIMECODE::byMinutes
BYTE byMinutes
Minutes.
Definition: MWCaptureExtension.h:1092
_MWCAP_SMPTE_TIMECODE::byHours
BYTE byHours
Hours.
Definition: MWCaptureExtension.h:1093
_MWCAP_VIDEO_FRAME_INFO
MWCAP_VIDEO_FRAME_INFO.
Definition: MWCaptureExtension.h:1136
_MWCAP_VIDEO_FRAME_INFO::aSMPTETimeCodes
MWCAP_SMPTE_TIMECODE aSMPTETimeCodes[2]
Time code of top and bottom frame respectively.
Definition: MWCaptureExtension.h:1151

The documentation for this struct was generated from the following file:

- /Users/magewell/builds/ks3341Bc/0/msdk/research/mw_capture_sdk_mac/Include/LibMWCapture/MWCaptureExtension.h